Bug 137131 - anaconda doesn't recognize its own xconfig directive
Summary: anaconda doesn't recognize its own xconfig directive
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-25 22:23 UTC by Vlady Zlatkin
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-26 13:14:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vlady Zlatkin 2004-10-25 22:23:35 UTC
please update the blocks: section of this bug

Description of problem:
running anaconda with its own generated xconfig string throws an exception

Version-Release number of selected component (if applicable):
rhel2.1AS-U5

How reproducible:
always

Steps to Reproduce:
1.do a kickstart in interactive mode
2.configure X during the install
3.do a kickstart in non-interactive mode this time using the xconfig
string from the auto generated anaconda-ks.cfg 
4. anaconda throws an exception very early in the process, right after
vid card, monitor probe, saying that valid drivers weren't found
  
Actual results:
exception

Expected results:
success

Additional info:

on dells gx260 this doesn't work
xconfig --card "Intel 810" --videoram 32768 --hsync 30.0-95.0 --vsync
50.0-160.0 --resolution 1024x768 --depth 16

Comment 1 Jeremy Katz 2004-10-26 13:14:51 UTC
This is fixed in newer releases. 


Note You need to log in before you can comment on or make changes to this bug.